# -*- encoding : utf-8 -*-

class Admin::OrganisateursController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "stocks"
  end
  
  def index
    @organisateurs = Organisateur.all

    @organisateurs = sort_by_sorting(@organisateurs, "name DESC")
    respond_to do |format|
      format.html{
      
        params[:search][:per_page] = params[:search][:per_page] || 100
        per_page = params[:search][:per_page]
        page = (params[:page] and params[:page] != "") ? params[:page] : 1 
        @organisateurs = @organisateurs.page(page).per(per_page)
      
      }
    end
  end

  def show
    @organisateur = Organisateur.find(params[:id])

  end

  def new
    @organisateur = Organisateur.new
  
  end

  def edit
    @organisateur = Organisateur.find(params[:id])
    
  end

  def create
    @organisateur = Organisateur.new(params.require(:organisateur).permit!)

    if @organisateur.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @organisateur = Organisateur.find(params[:id])


    if @organisateur.update_attributes(params.require(:organisateur).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @organisateur = Organisateur.find(params[:id])
    @organisateur.destroy
    
  end
end
